%define name	nvtv 
%define version	0.4.3
%define release 4mdk 
 
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
Source1:	nvtv.png
License: 	GPL
Group:		Video
Summary: 	Enable TV-Out on Linux for NVidia cards	
URL:		http://sourceforge.net/projects/nv-tv-out/	
BuildRequires:	pciutils-devel 
Requires:	pam, XFree86-libs, usermode, usermode-consoleonly
BuildRoot: 	%{_tmppath}/%{name}-%{version}
Buildrequires:	libgtk+1.2-devel

%description
This is a tool to enable TV-Out on Linux for NVidia cards. It does not
need the kernel, supports multiple TV encoder chips. You may use all the
features of the chip, down to direct register access, and all resolutions 
and sizes the chip supports.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%configure --prefix=/bin
%make

%install
mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/pixmaps
install -m644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_prefix}/share/pixmaps/
install -D -m755 src/nvtv ${RPM_BUILD_ROOT}/%{_sbindir}/nvtv
install -D -m755 src/nvtvd ${RPM_BUILD_ROOT}/%{_sbindir}/nvtvd

(mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name}  <<EOF
?package(%name): \ 
command="%{_sbindir}/%{name}" needs="X11" \
icon="%{_prefix}/share/pixmaps/%name.png" \
section="Multimedia/Video" \
title="NvTV"  \
longtitle="Nvidia TV"
EOF
)

(mkdir -p %{buildroot}%{_datadir}/applnk/Multimedia/
cat << EOF > %{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop
[Desktop Entry]
Name="Nvidia TV Output" \
Comment="Frontend for Nvidia TV output" \
TryExec="%{name}" \
Exec="nvtv" \
Icon="%{_prefix}/share/pixmaps/%{name}.png" \
Terminal="0" \
Type="Application"
EOF
)

#Lets make a nice dialog box asking for root perms:
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/{pam.d,security/console.apps}
cat <<EOF >${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/%{name}
#%PAM-1.0
auth       sufficient   /lib/security/pam_rootok.so
auth       required    /lib/security/pam_stack.so service=system-auth
session    optional     /lib/security/pam_xauth.so
account    required     /lib/security/pam_permit.so
EOF


cat <<EOF >${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/%{name}
USER=root
PROGRAM=/usr/sbin/nvtv
SESSION=true
FALLBACK=true
EOF

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/%name

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr (-,root,root)
%doc doc/* README TODO INSTALL BUGS ChangeLog FAQ ANNOUNCE LICENSE README.binary
%{_bindir}/*
%{_sbindir}/%{name}
%{_sbindir}/%{name}d
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_prefix}/share/pixmaps/%{name}.png
%{_datadir}/applnk/Multimedia/%{name}.desktop
%{_menudir}/*

%changelog
* Fri Feb 21 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.4.3-4mdk 
- add forgotten links

* Tue Feb 18 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.3-3mdk 
- move libgtk+1.2-devel to Buildrequires :-)

* Mon Feb 17 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.3-2mdk
- add requires and consolehelper to avoid setuid (from fdanny@mailmij.org)

* Tue Feb 11 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.4.3-1mdk 
- new release

* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.2-2mdk
- rebuild for new glibc
* Mon Nov 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- from Roger <roger@linuxfreemail.com> :
	- 0.4.2

* Wed Nov 06 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4.0-3mdk
- setuid nvtv (needed for user)
- add icons in menu

* Tue Sep 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4.0-2mdk
- add requires  

* Tue Sep 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.4.0-1mdk
- first release for mandrakesoft 
